
# trim changelog included in binary rpms
%global _changelog_trimtime %(date +%s -d "1 year ago")

%global kdepim_epoch 7

%if 0%{?epel} || 0%{?fedora}
%define blogilo 1
%endif

# uncomment to enable bootstrap mode
#global bootstrap 1

%if !0%{?bootstrap}
%global tests 1
%endif

Name:    kdepim
Summary: KDE Personal Information Management suite
Epoch:   %{kdepim_epoch}
Version: 16.08.2
Release: 1%{?dist}

License: GPLv2
URL:     https://quickgit.kde.org/?p=%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches

# Make the kdepim package a metapackage for the entire PIM experience
# (except for akonadi-console)
Requires:       akregator = %{version}-%{release}
%if 0%{?blogilo}
Requires:       blogilo = %{version}-%{release}
%endif
Requires:       kalarm = %{version}-%{release}
Requires:       knotes = %{version}-%{release}
Requires:       kontact = %{version}-%{release}

BuildRequires:  bison flex
BuildRequires:  boost-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gpgme-devel

BuildRequires:  libX11-devel

BuildRequires:  grantlee-qt5-devel

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  perl-generators
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-static
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  qt5-qtwebengine-devel
BuildRequires:  qt5-qtdeclarative-devel

BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-kwallet-devel
BuildRequires:  kf5-knewstuff-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kdewebkit-devel
BuildRequires:  kf5-karchive-devel
BuildRequires:  kf5-knotifyconfig-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-khtml-devel
BuildRequires:  kf5-kservice-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kauth-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-kdnssd-devel
BuildRequires:  kf5-ktexteditor-devel
BuildRequires:  kf5-sonnet-devel
BuildRequires:  kf5-kglobalaccel-devel
BuildRequires:  kf5-kcodecs-devel
BuildRequires:  phonon-qt5-devel
BuildRequires:  kf5-kxmlrpcclient-devel
BuildRequires:  kf5-kross-devel

%global majmin_ver %(echo %{version} | cut -d. -f1,2)
BuildRequires:  kdepim-apps-libs-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-calendar-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-contact-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-mime-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-notes-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-search-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-server-devel >= %{majmin_ver}
BuildRequires:  kf5-gpgmepp-devel >= %{majmin_ver}
BuildRequires:  kf5-grantleetheme-devel >= %{majmin_ver}
BuildRequires:  kf5-kalarmcal-devel >= %{majmin_ver}
BuildRequires:  kf5-kblog-devel >= %{majmin_ver}
BuildRequires:  kf5-kcalendarutils-devel >= %{majmin_ver}
BuildRequires:  kf5-kcontacts-devel >= %{majmin_ver}
BuildRequires:  kf5-kholidays-devel >= %{majmin_ver}
BuildRequires:  kf5-incidenceeditor-devel >= %{majmin_ver}
BuildRequires:  kf5-kidentitymanagement-devel >= %{majmin_ver}
BuildRequires:  kf5-kimap-devel >= %{majmin_ver}
BuildRequires:  kf5-kldap-devel >= %{majmin_ver}
BuildRequires:  kf5-kmailtransport-devel >= %{majmin_ver}
BuildRequires:  kf5-kmbox-devel >= %{majmin_ver}
BuildRequires:  kf5-kmime-devel >= %{majmin_ver}
BuildRequires:  kf5-kontactinterface-devel >= %{majmin_ver}
BuildRequires:  kf5-kpimtextedit-devel >= %{majmin_ver}
BuildRequires:  kf5-ktnef-devel >= %{majmin_ver}
BuildRequires:  kf5-libgravatar-devel >= %{majmin_ver}
BuildRequires:  kf5-libkdepim-devel >= %{majmin_ver}
BuildRequires:  kf5-libksieve-devel >= %{majmin_ver}
BuildRequires:  kf5-mailcommon-devel >= %{majmin_ver}
BuildRequires:  kf5-mailimporter-devel >= %{majmin_ver}
BuildRequires:  kf5-messagelib-devel >= %{majmin_ver}
BuildRequires:  kf5-syndication-devel >= %{majmin_ver}

## todo
#BuildRequires: kf5-prison-devel

%if 0%{?blogilo}
BuildRequires:  libkgapi-devel >= 5.3.0
%endif

BuildRequires:  libassuan2-devel
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  python2-devel

%if 0%{?tests}
BuildRequires: dbus-x11
BuildRequires: xorg-x11-server-Xvfb
%endif

%description
%{summary}, including:
* akregator: feed aggregator
%{?blogilo:* blogilo: blogging application, focused on simplicity and usability}
* kmail: email client
* knotes: sticky notes for the desktop
* kontact: integrated PIM management
* korganizer: journal, appointments, events, todos

%package        libs
Summary:        %{name} runtime libraries
Obsoletes:      kdepim-libs < 7:16.04.0
%description    libs

%package        common
Summary:        Common runtime dependencies needed by other KDE PIM applications
# change epoch here and below for new subpkgs introduced in 4.13.3-10
Epoch:          0
Conflicts:      kdepim < 7:4.13.3-10
Requires:       %{name}-libs%{?_isa} = %{kdepim_epoch}:%{version}-%{release}
Requires:       kdepim-runtime >= %{version}
%description    common
%{summary}.

%package -n     akonadiconsole
Summary:        Akonadi developer tool
Epoch:          0
Requires:       %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
%description -n akonadiconsole
Akonadi Console is a tool for Akonadi developers that provides means of direct
interaction with the Akonadi storage, SQL debugging, protocol debugger and
other tools.

%package -n     akregator
Summary:        KDE new feed reader
Epoch:          0
Requires:       %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       akregator-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
# upgrade path mostly, can consider making optional/soft
Requires:       kdepim-addons >= %{version}
%description -n akregator
Akregator is a KDE news feed reader. Feed readers provide a convenient way to
browse different kinds of content, including news, blogs, and other content from
online sites.

%package -n     akregator-libs
Summary:        Runtime libraries for Akregator
Epoch:          0
%description -n akregator-libs
%{summary}.

%package -n     blogilo
Summary:        KDE blogging client
Epoch:          0
Requires:       %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
%description -n blogilo
Blogilo is blogging client that supports various blogging systems, including
Wordpress, Blogspot, LiveJournal, and more.

%package -n     blogilo-libs
Summary:        Runtime libraries for Blogilo 
Epoch:          0
%description -n blogilo-libs
%{summary}.

%package -n     kaddressbook
Summary:        KDE Adress Book application
Epoch:          0
Requires:       %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       kaddressbook-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
# upgrade path mostly, can consider making optional/soft
Requires:       kdepim-addons >= %{version}
%description -n kaddressbook
KAddressBook is an application to access and manage contacts and addressbooks.

%package -n     kaddressbook-libs
Summary:        Runtime libraries for KAddressBook
Epoch:          0
%description -n kaddressbook-libs
%{summary}.

%package -n     kalarm
Summary:        Personal alarm message, command and email scheduler for KDE
Epoch:          0
Requires:       %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
%description -n kalarm
%{summary}.

%package -n     kmail
Summary:        KDE email client
Epoch:          0
Requires:       %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       kmail-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
# upgrade path mostly, can consider making optional/soft
Requires:       kdepim-addons >= %{version}
# For GPG management
Requires:       kleopatra >= %{majmin_ver}
Requires:       kf5-akonadi-search
%if 0%{?fedora} || 0%{?rhel} > 6
##Optional bits
Requires:       pinentry-gui
%endif
%description -n kmail
KMail is a full-featured email client for KDE.

%package -n     kmail-libs
Summary:        Runtime libraries for KMail
Epoch:          0
%description -n kmail-libs
%{summary}.

%package -n     knotes
Summary:        KDE application for popup notes
Epoch:          0
Requires:       %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       knotes-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
%description -n knotes
%{summary}.

%package -n     knotes-libs
Summary:        Runtime libraries for KNotes
Epoch:          0
%description -n knotes-libs
%{summary}.

%package -n     kontact
Summary:        KDE Personal Information Management Suite
Epoch:          0
Requires:       %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       kontact-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
# These are only base applications without which Kontact does not really make sense
Requires:       kaddressbook = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       kmail = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       korganizer = %{?epoch:%{epoch}:}%{version}-%{release}
%description -n kontact
%{summary}.

%package -n     kontact-libs
Summary:        Runtime libraries for Kontact
Epoch:          0
%description -n kontact-libs
%{summary}.

%package -n     korganizer
Summary:        KDE calendaring application
Epoch:          0
Requires:       %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
# upgrade path mostly, can consider making optional/soft
Requires:       kdepim-addons >= %{version}
Requires:       korganizer-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
%description -n korganizer
%{summary}.

%package -n     korganizer-libs
Summary:        Runtime libraries for KOrganizer
Epoch:          0
%description -n korganizer-libs
%{summary}.


%prep
%autosetup -n kdepim-%{version}%{?pre} -p1

# Ensure app .desktop files have Comment= fields to make appstream happier
grep '^Comment=' kmail/src/data/org.kde.kmail.desktop || echo "Comment=Send, receive and manage your mail with KMail" >> kmail/src/data/org.kde.kmail.desktop 
grep '^Comment=' kontact/src/org.kde.kontact.desktop ||  echo "Comment=Kontact is the integrated solution to your personal information management (PIM) needs." >> kontact/src/org.kde.kontact.desktop


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# Remove .so files, we don't have any headers for -devel anyway
rm -fv %{buildroot}%{_kf5_libdir}/lib*.so

# hack to make kmail -> help -> Kmail Handbook work
ln -s kmail %{buildroot}%{_kf5_docdir}/HTML/en/kmail2


%check
for f in %{buildroot}%{_kf5_datadir}/applications/*.desktop ; do
  desktop-file-validate $f
done
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
dbus-launch --exit-with-session \
make test ARGS="--output-on-failure --timeout 20" -C %{_target_platform} ||:
%endif


%files
# empty metapackage

%post common
touch --no-create %{_iconsdir}/hicolor &> /dev/null ||:

%posttrans common
gtk-update-icon-cache %{_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun common
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files common 
%doc README
%license COPYING*
# own some kontact-related dirs here
%dir %{_kf5_datadir}/kontact/
%dir %{_kf5_datadir}/kontact/ksettingsdialog/
%dir %{_kf5_datadir}/kservices5/kontact
# importwizard - can import mails, addressbooks and calendars, hence -common
%{_kf5_sysconfdir}/xdg/accountwizard.categories
%{_kf5_sysconfdir}/xdg/importwizard.categories
%{_kf5_bindir}/importwizard
%{_kf5_bindir}/accountwizard
%{_kf5_bindir}/contactprintthemeeditor
%{_kf5_bindir}/ispdb
%{_kf5_datadir}/applications/org.kde.importwizard.desktop
%{_kf5_datadir}/icons/hicolor/*/apps/kontact-import-wizard.*
%{_kf5_datadir}/icons/hicolor/*/apps/quickview.*
%{_kf5_datadir}/kconf_update/importwizard-15.08-kickoff.sh
%{_kf5_datadir}/kconf_update/importwizard.upd
%{_kf5_datadir}/importwizard/pics/
%{_kf5_docdir}/HTML/en/importwizard/
%{_kf5_datadir}/akonadi/accountwizard/tine20/
%{_kf5_datadir}/mime/packages/accountwizard-mime.xml
%{_kf5_datadir}/applications/org.kde.accountwizard.desktop
%{_kf5_datadir}/applications/org.kde.contactprintthemeeditor.desktop
%{_kf5_qtplugindir}/accountwizard_plugin.so
#{_kf5_sysconfdir}/xdg/kdepim.categories
%{_kf5_sysconfdir}/xdg/accountwizard.knsrc
%dir %{_kf5_datadir}/kmail2/
%dir %{_kf5_datadir}/kmail2/pics/
# pimsettingexporter
%{_kf5_sysconfdir}/xdg/pimsettingexporter.categories
%{_kf5_bindir}/pimsettingexporter
%{_kf5_bindir}/pimsettingexporterconsole
%{_kf5_datadir}/kconf_update/pimsettingexporter-15.08-kickoff.sh
%{_kf5_datadir}/kconf_update/pimsettingexporter.upd
%{_kf5_datadir}/applications/org.kde.pimsettingexporter.desktop
%{_kf5_datadir}/config.kcfg/pimsettingexporterglobalconfig.kcfg
%{_kf5_docdir}/HTML/en/pimsettingexporter/
# storageservicemanager - this is currently used by kmail only, but plans are
# to support other components too
%{_kf5_sysconfdir}/xdg/storageservicemanager.categories
%{_kf5_bindir}/storageservicemanager
%{_kf5_datadir}/kconf_update/storageservicemanager-15.08-kickoff.sh
%{_kf5_datadir}/kconf_update/storageservicemanager.upd
%{_kf5_datadir}/applications/org.kde.storageservicemanager.desktop
%{_kf5_datadir}/config.kcfg/storageservicemanagerglobalconfig.kcfg
%{_kf5_datadir}/knotifications5/storageservicemanager.notifyrc

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
# # grantlee
%{_kf5_libdir}/libgrantleethemeeditor.so.*
%{_kf5_libdir}/libpimsettingexporterprivate.so.*

%post -n akonadiconsole
touch --no-create %{_kf5_datadir}/icons/hicolor &> /dev/null ||:

%posttrans -n akonadiconsole
gtk-update-icon-cache %{_kf5_datadir}/icons/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n akonadiconsole
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
touch --no-create %{_kf5_datadir}/icons/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/icons/hicolor &> /dev/null ||:
fi

%files -n akonadiconsole
%{_kf5_sysconfdir}/xdg/akonadiconsole.categories
%{_kf5_bindir}/akonadiconsole
%{_kf5_datadir}/kconf_update/akonadiconsole.upd
%{_kf5_datadir}/applications/org.kde.akonadiconsole.desktop
%{_kf5_datadir}/icons/hicolor/*/apps/akonadiconsole.*
%{_kf5_datadir}/kconf_update/akonadiconsole-15.08-kickoff.sh
# This is not from akonadiconsole, but from console - not sure if there's any
# use of this stuff outside dev environment
%{_kf5_sysconfdir}/xdg/console.categories
%{_kf5_bindir}/calendarjanitor
%{_kf5_bindir}/konsolekalendar
%{_kf5_datadir}/applications/konsolekalendar.desktop
%{_kf5_datadir}/icons/hicolor/*/apps/konsolekalendar.*
%{_kf5_docdir}/HTML/en/konsolecalendar/

%post -n akregator
touch --no-create %{_kf5_datadir}/icons/hicolor &> /dev/null ||:

%posttrans -n akregator
gtk-update-icon-cache %{_kf5_datadir}/icons/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n akregator
if [ $1 -eq 0 ] ; then
touch --no-create %{_kf5_datadir}/icons/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/icons/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
fi

%files -n akregator
%{_kf5_sysconfdir}/xdg/akregator.categories
%{_kf5_bindir}/akregatorstorageexporter
%{_kf5_bindir}/akregator
%{_kf5_datadir}/kservices5/akregator_*.desktop
%{_kf5_datadir}/kservices5/feed.protocol
%{_kf5_datadir}/kservicetypes5/akregator_plugin.desktop
%{_kf5_datadir}/config.kcfg/akregator.kcfg
%{_kf5_datadir}/appdata/org.kde.akregator.appdata.xml
%{_kf5_datadir}/applications/org.kde.akregator.desktop
%{_kf5_datadir}/icons/hicolor/*/apps/akregator.*
%{_kf5_datadir}/icons/hicolor/*/apps/akregator_empty.png
%{_kf5_datadir}/akregator/
%{_kf5_datadir}/kconf_update/akregator-15.08-kickoff.sh
%{_kf5_datadir}/kconf_update/akregator.upd
%{_datadir}/dbus-1/interfaces/org.kde.akregator.part.xml
# Kontact integration
%{_kf5_datadir}/kservices5/kontact/akregatorplugin.desktop
%{_kf5_datadir}/kontact/ksettingsdialog/akregator.setdlg
%{_kf5_docdir}/HTML/en/akregator/
%{_kf5_datadir}/knotifications5/akregator.notifyrc
%{_kf5_datadir}/kxmlgui5/akregator/

%post -n akregator-libs -p /sbin/ldconfig
%postun -n akregator-libs -p /sbin/ldconfig

%files -n akregator-libs
%{_kf5_libdir}/libakregatorinterfaces.so.*
%{_kf5_libdir}/libakregatorprivate.so.*
%{_kf5_qtplugindir}/akregatorpart.so
%{_kf5_qtplugindir}/akregator_*.so
# Kontact integration
%{_kf5_qtplugindir}/kontact_akregatorplugin.so

%if 0%{?blogilo}
%post -n blogilo
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:

%posttrans -n blogilo
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n blogilo
if [ $1 -eq 0 ] ; then
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
fi

%files -n blogilo
%{_kf5_sysconfdir}/xdg/blogilo.categories
%{_kf5_bindir}/blogilo
%{_kf5_datadir}/appdata/org.kde.blogilo.appdata.xml
%{_kf5_datadir}/applications/org.kde.blogilo.desktop
%{_kf5_datadir}/config.kcfg/blogilo.kcfg
%{_kf5_datadir}/kconf_update/blogilo-15.08-kickoff.sh
%{_kf5_datadir}/kconf_update/blogilo.upd
%{_kf5_datadir}/icons/hicolor/*/apps/blogilo.png
%{_kf5_datadir}/icons/hicolor/*/actions/upload-media.png
%{_kf5_datadir}/icons/hicolor/*/actions/format-text-blockquote.png
%{_kf5_datadir}/icons/hicolor/*/actions/format-text-code.png
%{_kf5_datadir}/icons/hicolor/*/actions/insert-more-mark.png
%{_kf5_datadir}/icons/hicolor/*/actions/remove-link.png
%{_kf5_docdir}/HTML/en/blogilo/
%if 0%{?tests}
# is this supposed to be conditional?  --rex
%{_kf5_bindir}/composerhtmleditor
%{_kf5_datadir}/kxmlgui5/composerhtmleditor/
%endif

%files -n blogilo-libs
%{_kf5_libdir}/libcomposereditorwebengineprivate.so.*
%{_kf5_datadir}/composereditorwebengine/
%endif

%post -n kaddressbook
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:

%posttrans -n kaddressbook
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n kaddressbook
if [ $1 -eq 0 ] ; then
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
fi

%files -n kaddressbook
%{_kf5_sysconfdir}/xdg/kaddressbook.categories
%{_kf5_bindir}/kaddressbook
%{_kf5_datadir}/kservices5/kaddressbookpart.desktop
%{_kf5_datadir}/appdata/org.kde.kaddressbook.appdata.xml
%{_kf5_datadir}/applications/org.kde.kaddressbook.desktop
%{_kf5_datadir}/applications/kaddressbook-importer.desktop
%{_kf5_datadir}/icons/hicolor/*/apps/kaddressbook.*
%{_kf5_datadir}/kaddressbook
%{_kf5_datadir}/kconf_update/kaddressbook-15.08-kickoff.sh
%{_kf5_datadir}/kconf_update/kaddressbook.upd
# Kontact integration
%{_kf5_datadir}/kservices5/kontact/kaddressbookplugin.desktop
%{_kf5_datadir}/kontact/ksettingsdialog/kaddressbook.setdlg
%{_sysconfdir}/xdg/kaddressbook_themes.knsrc
# grantleeeditor
/etc/xdg/grantleeditor.categories
%{_kf5_bindir}/contactthemeeditor
%{_kf5_docdir}/HTML/en/contactthemeeditor/
%{_kf5_datadir}/applications/org.kde.contactthemeeditor.desktop
%{_kf5_datadir}/kxmlgui5/kaddressbook/kaddressbookui.rc
#{_datadir}/dbus-1/interfaces/org.kde.addressbook.service.xml

%post -n kaddressbook-libs -p /sbin/ldconfig
%postun -n kaddressbook-libs -p /sbin/ldconfig

%files -n kaddressbook-libs
%{_kf5_libdir}/libkaddressbookprivate.so.*
%{_kf5_qtplugindir}/kaddressbookpart.so
# Kontact integration
%{_kf5_qtplugindir}/kontact_kaddressbookplugin.so

%post -n kalarm
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:

%posttrans -n kalarm
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n kalarm
if [ $1 -eq 0 ] ; then
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
fi

%files -n kalarm
%{_kf5_sysconfdir}/xdg/kalarm.categories
%{_kf5_bindir}/kalarm
%{_kf5_bindir}/kalarmautostart
%{_libexecdir}/kalarm_helper
%{_kf5_datadir}/appdata/org.kde.kalarm.appdata.xml
%{_kf5_datadir}/applications/org.kde.kalarm.desktop
%{_sysconfdir}/xdg/autostart/kalarm.autostart.desktop
%{_kf5_datadir}/config.kcfg/kalarmconfig.kcfg
%{_kf5_datadir}/kalarm/
%{_kf5_datadir}/kconf_update/kalarm*
%{_sysconfdir}/dbus-1/system.d/org.kde.kalarmrtcwake.conf
%{_datadir}/dbus-1/system-services/org.kde.kalarmrtcwake.service
%{_datadir}/dbus-1/interfaces/org.kde.kalarm.kalarm.xml
%{_datadir}/polkit-1/actions/org.kde.kalarmrtcwake.policy
%{_kf5_datadir}/icons/hicolor/*/apps/kalarm.*
%{_kf5_datadir}/kxmlgui5/kalarm/kalarmui.rc
%{_kf5_docdir}/HTML/en/kalarm/

%post -n kmail
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:
touch --no-create %{_kf5_datadir}/oxygen &> /dev/null ||:

%posttrans -n kmail
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n kmail
if [ $1 -eq 0 ] ; then
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:
touch --no-create %{_kf5_datadir}/oxygen &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
fi

%files -n kmail
%{_kf5_sysconfdir}/xdg/kmail.categories
%{_kf5_bindir}/kmail
%{_kf5_datadir}/appdata/org.kde.kmail.appdata.xml
%{_kf5_datadir}/applications/org.kde.kmail.desktop
%{_kf5_datadir}/config.kcfg/kmail.kcfg
%{_kf5_datadir}/kmail2/
%{_kf5_datadir}/kservices5/kmail_*.desktop
%{_kf5_datadir}/kservices5/kcm_kpimidentities.desktop
%{_kf5_datadir}/kservicetypes5/dbusmail.desktop
%{_kf5_datadir}/kservices5/ServiceMenus/kmail_addattachmentservicemenu.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kmail.*.xml
%{_kf5_datadir}/icons/hicolor/*/apps/kmail.*
%{_kf5_datadir}/kconf_update/kmail.upd
%{_kf5_datadir}/applications/kmail_view.desktop
%{_kf5_docdir}/HTML/en/kmail/
%{_kf5_docdir}/HTML/en/kmail2
%{_kf5_datadir}/knotifications5/kmail2.notifyrc
%{_kf5_datadir}/kxmlgui5/kmail2/
%{_kf5_datadir}/kconf_update/kmail-*
# Kontact integration
%{_kf5_datadir}/kservices5/kontact/kmailplugin.desktop
%{_kf5_datadir}/kservices5/kcmkmailsummary.desktop
# agents
%{_kf5_datadir}/akonadi/agents/*.desktop
%{_kf5_bindir}/akonadi_*_agent
%{_kf5_datadir}/config.kcfg/archivemailagentsettings.kcfg
%{_kf5_datadir}/config.kcfg/notesagentsettings.kcfg
%{_kf5_datadir}/knotifications5/akonadi_archivemail_agent.notifyrc
%{_kf5_datadir}/knotifications5/akonadi_followupreminder_agent.notifyrc
%{_kf5_datadir}/knotifications5/akonadi_mailfilter_agent.notifyrc
%{_kf5_datadir}/knotifications5/akonadi_notes_agent.notifyrc
%{_kf5_datadir}/knotifications5/akonadi_sendlater_agent.notifyrc
%{_kf5_docdir}/HTML/en/akonadi_archivemail_agent/
%{_kf5_docdir}/HTML/en/akonadi_followupreminder_agent/
%{_kf5_docdir}/HTML/en/akonadi_notes_agent/
%{_kf5_docdir}/HTML/en/akonadi_sendlater_agent/
# grantleetheme
%{_kf5_bindir}/headerthemeeditor
%{_kf5_datadir}/applications/org.kde.headerthemeeditor.desktop
%{_kf5_datadir}/config.kcfg/grantleethemeeditor.kcfg
%{_kf5_docdir}/HTML/en/headerthemeeditor/
# ktneff
%{_kf5_sysconfdir}/xdg/ktnef.categories
%{_kf5_bindir}/ktnef
%{_kf5_datadir}/applications/org.kde.ktnef.desktop
%{_kf5_docdir}/HTML/en/ktnef/
%{_kf5_datadir}/icons/*/*/actions/ktnef_extract_all_to.png
%{_kf5_datadir}/icons/*/*/actions/ktnef_extract_to.png
%{_kf5_datadir}/icons/*/*/apps/ktnef.png
# mboximporter
%{_kf5_bindir}/mboximporter
%{_kf5_datadir}/applications/org.kde.mboximporter.desktop
%{_kf5_datadir}/messageviewer/
# sieveeditor
/etc/xdg/sieveeditor.categories
%{_kf5_bindir}/sieveeditor
%{_kf5_datadir}/kconf_update/sieveeditor-15.08-kickoff.sh
%{_kf5_datadir}/kconf_update/sieveeditor.upd
%{_kf5_datadir}/applications/org.kde.sieveeditor.desktop
%{_kf5_datadir}/config.kcfg/sieveeditorglobalconfig.kcfg
%{_kf5_docdir}/HTML/en/sieveeditor/


%post -n kmail-libs -p /sbin/ldconfig
%postun -n kmail-libs -p /sbin/ldconfig

%files -n kmail-libs
%{_kf5_libdir}/libkmailprivate.so.*
%{_kf5_qtplugindir}/kcm_kpimidentities.so
%{_kf5_qtplugindir}/kcm_kmailsummary.so
%{_kf5_qtplugindir}/kcm_kmail.so
%{_kf5_qtplugindir}/kmailpart.so
#{_kf5_qtplugindir}/messageviewer_*.so
# Kontact integration
%{_kf5_qtplugindir}/kontact_kmailplugin.so

%post -n knotes
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:

%posttrans -n knotes
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n knotes
if [ $1 -eq 0 ] ; then
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
fi

%files -n knotes
%{_kf5_sysconfdir}/xdg/knotes.categories
%{_kf5_bindir}/knotes
%{_kf5_datadir}/kservices5/knote_*.desktop
%{_kf5_datadir}/appdata/org.kde.knotes.appdata.xml
%{_kf5_datadir}/applications/org.kde.knotes.desktop
%{_datadir}/dbus-1/interfaces/org.kde.KNotes.xml
%{_datadir}/dbus-1/interfaces/org.kde.kontact.KNotes.xml
%{_kf5_datadir}/knotes
%{_kf5_datadir}/icons/hicolor/*/apps/knotes.*
%{_kf5_datadir}/icons/hicolor/*/actions/knotes_*.png
%{_kf5_datadir}/config.kcfg/knotesglobalconfig.kcfg
%{_sysconfdir}/xdg/knotes_printing_theme.knsrc
# Kontact integration
%{_kf5_datadir}/kservices5/kontact/knotesplugin.desktop
%{_kf5_datadir}/kservices5/kcmknotessummary.desktop
%{_kf5_datadir}/kconf_update/knotes-15.08-kickoff.sh
%{_kf5_datadir}/kconf_update/knotes.upd
%{_kf5_datadir}/kxmlgui5/knotes/
%{_kf5_docdir}/HTML/en/knotes/

%post -n knotes-libs -p /sbin/ldconfig
%postun -n knotes-libs -p /sbin/ldconfig

%files -n knotes-libs
%{_kf5_libdir}/libknotesprivate.so.*
%{_kf5_libdir}/libnotesharedprivate.so.*
%{_kf5_qtplugindir}/kcm_knote.so
%{_kf5_qtplugindir}/kcm_knotessummary.so
# Kontact integration
%{_kf5_qtplugindir}/kontact_knotesplugin.so

%post -n kontact
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:

%posttrans -n kontact
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n kontact
if [ $1 -eq 0 ] ; then
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
fi

%files -n kontact
%{_kf5_sysconfdir}/xdg/kontact.categories
%{_kf5_bindir}/kontact
%{_kf5_datadir}/appdata/org.kde.kontact.appdata.xml
%{_kf5_datadir}/applications/org.kde.kontact.desktop
%{_kf5_datadir}/applications/kontact-admin.desktop
%{_kf5_datadir}/config.kcfg/kontact.kcfg
%{_kf5_datadir}/kservices5/kontactconfig.desktop
%{_kf5_datadir}/kontact
%exclude %{_kf5_datadir}/kontact/ksettingsdialog
%{_kf5_datadir}/icons/hicolor/*/apps/kontact.*
# Summary page
%{_kf5_datadir}/kservices5/kontact/summaryplugin.desktop
%{_kf5_datadir}/kservices5/kcmkontactsummary.desktop
%{_kf5_datadir}/kxmlgui5/kontactsummary
%{_kf5_datadir}/kontact/ksettingsdialog/summary.setdlg
# Special dates page
%{_kf5_datadir}/kservices5/kontact/specialdatesplugin.desktop
%{_kf5_datadir}/kservices5/kcmsdsummary.desktop
%{_kf5_datadir}/kontact/ksettingsdialog/specialdates.setdlg
%{_kf5_datadir}/kconf_update/kontact-15.08-kickoff.sh
%{_kf5_datadir}/kconf_update/kontact.upd
%{_kf5_docdir}/HTML/en/kontact-admin
%{_kf5_docdir}/HTML/en/kontact
%{_kf5_datadir}/kxmlgui5/kontact/

%post -n kontact-libs -p /sbin/ldconfig
%postun -n kontact-libs -p /sbin/ldconfig

%files -n kontact-libs
%{_kf5_libdir}/libkontactprivate.so.*
%{_kf5_qtplugindir}/kcm_kontact.so
# Summary page
%{_kf5_qtplugindir}/kcm_kontactsummary.so
%{_kf5_qtplugindir}/kontact_summaryplugin.so
# Special dates page
%{_kf5_qtplugindir}/kontact_specialdatesplugin.so
%{_kf5_qtplugindir}/kcm_sdsummary.so

%post -n korganizer
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:
touch --no-create %{_kf5_datadir}/oxygen &> /dev/null ||:

%posttrans -n korganizer
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n korganizer
if [ $1 -eq 0 ] ; then
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:
touch --no-create %{_kf5_datadir}/oxygen &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
fi

%files -n korganizer
%{_kf5_sysconfdir}/xdg/korganizer.categories
%{_kf5_bindir}/korganizer
%{_kf5_bindir}/ical2vcal
%{_kf5_datadir}/config.kcfg/korganizer.kcfg
%{_kf5_datadir}/kconf_update/korganizer.upd
%{_kf5_datadir}/kconf_update/korganizer-15.08-kickoff.sh
%{_kf5_datadir}/kservices5/webcal.protocol
%{_datadir}/dbus-1/interfaces/org.kde.Korganizer.*.xml
%{_datadir}/dbus-1/interfaces/org.kde.korganizer.*.xml
%{_sysconfdir}/xdg/korganizer.knsrc
%{_kf5_datadir}/appdata/org.kde.korganizer.appdata.xml
%{_kf5_datadir}/applications/org.kde.korganizer.desktop
%{_kf5_datadir}/applications/korganizer-import.desktop
%{_kf5_datadir}/korganizer/
%{_kf5_datadir}/icons/hicolor/*/apps/korg-journal.*
%{_kf5_datadir}/icons/hicolor/*/apps/korg-todo.*
%{_kf5_datadir}/icons/hicolor/*/apps/korganizer.*
%{_kf5_datadir}/icons/oxygen/*/actions/smallclock.png
%{_kf5_datadir}/icons/oxygen/*/actions/upindicator.png
%{_kf5_datadir}/icons/oxygen/*/actions/checkmark.png
#{_kf5_datadir}/kservices5/korganizer/
%{_kf5_datadir}/kservices5/korganizer_*.desktop
%{_kf5_datadir}/kservicetypes5/dbuscalendar.desktop
# Kontact integration
%{_kf5_datadir}/kservices5/kontact/korganizerplugin.desktop
%{_kf5_datadir}/kservices5/kontact/todoplugin.desktop
%{_kf5_datadir}/kservices5/kontact/journalplugin.desktop
%{_kf5_datadir}/kservices5/kcmapptsummary.desktop
%{_kf5_datadir}/kservices5/kcmtodosummary.desktop
%{_kf5_docdir}/HTML/en/korganizer/
%{_kf5_datadir}/kxmlgui5/korganizer/
# korgac
%{_kf5_bindir}/korgac
%{_sysconfdir}/xdg/autostart/org.kde.korgac.desktop
%{_kf5_datadir}/korgac

%post -n korganizer-libs -p /sbin/ldconfig
%postun -n korganizer-libs -p /sbin/ldconfig

%files -n korganizer-libs
%{_kf5_libdir}/libkorganizer_interfaces.so.*
%{_kf5_libdir}/libkorganizer_core.so.*
%{_kf5_libdir}/libkorganizerprivate.so.*
%{_kf5_qtplugindir}/kcm_korganizer.so
%{_kf5_qtplugindir}/korganizerpart.so
# Kontact integration
%{_kf5_qtplugindir}/kcm_apptsummary.so
%{_kf5_qtplugindir}/kcm_todosummary.so
%{_kf5_qtplugindir}/kontact_korganizerplugin.so
%{_kf5_qtplugindir}/kontact_todoplugin.so
%{_kf5_qtplugindir}/kontact_journalplugin.so


%changelog
* Thu Oct 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:16.08.2-1
- 16.08.2

* Wed Oct 12 2016 Than Ngo <than@redhat.com> - 7:16.08.1-2
- CVE-2016-7968, CVE-2016-7967

* Thu Sep 08 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:16.08.1-1
- 16.08.1

* Sun Sep 04 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:16.08.0-1
- 16.08.0

* Thu Aug 04 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:16.04.3-3
- pull in upstream knotesglobalconfig_paths.patch

* Wed Jul 20 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:16.04.3-2
- docs/HTML/en/kmail2 -> kmail symlink hack, makes Kmail Handbook link work

* Sun Jul 10 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:16.04.3-1
- 16.04.3

* Thu Jun 30 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:16.04.2-2
- akregator,kaddressbook,kmail,korganizer: Requires: kdepim-addons

* Sun Jun 12 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:16.04.2-1
- 16.04.2

* Mon May 30 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.1-3
- kmail: fix versioned kleopatra dep
- drop remnants of old/unused -devel subpkg

* Thu May 26 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:16.04.1-2
- -libs: Obsoletes: kdepim-libs < 7:16.04.0
  many libs were split out into their own packages in the 16.04 release

* Mon May 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:16.04.1-1
- 16.04.1
- initial support  for bootstrap, %%check: 'make test'
- move plugins to multilib'd -lib subpkgs

* Sat Apr 30 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:15.12.3-3
- -common: own %%{_kf5_qtplugindir}/pimcommon/
- kmail-libs: own %%{_kf5_qtplugindir}/messageviewer/

* Tue Apr 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:15.12.3-2
- rebuild (grantlee-qt5)

* Tue Mar 15 2016 Rex Dieter <rdieter@fedoraproject.org> - 7:15.12.3-1
- 15.12.3

* Sun Feb 14 2016 Rex Dieter <rdieter@fedoraproject.org> 7:15.12.2-1
- 15.12.2, omit conflicting oxygen icons (#1308358)

* Sat Feb 06 2016 Rex Dieter <rdieter@fedoraproject.org> 7:15.12.1-1
- 15.12.1, cleanup

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 7:15.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 23 2016 Robert Scheck <robert@fedoraproject.org> - 7:15.12.0-2
- Rebuild for libical 2.0.0

* Tue Dec 15 2015 Jan Grulich <jgrulich@redhat.com> 7:15.12.0-1
- Update to 15.12.0

* Sun Dec 13 2015 Rex Dieter <rdieter@fedoraproject.org> 7:15.11.90-2
- fix kdepim-runtime dep, drop %%kde_runtime_requires

* Mon Dec 07 2015 Jan Grulich <jgrulich@redhat.com> - 7:15.11.90-1
- Update to 15.11.90

* Wed Nov 11 2015 Rex Dieter <rdieter@fedoraproject.org> 7:4.14.10-8
- create/own empty korgacrc (#1268342)

* Fri Nov 06 2015 Rex Dieter <rdieter@fedoraproject.org> 7:4.14.10-7
- respin autostart patch, so X-KDE-Autostart-condition works on plasma5 too (#1268342)

* Wed Oct 28 2015 Rex Dieter <rdieter@fedoraproject.org> 7:4.14.10-6
- .spec cosmetics, kmail: purge /usr/bin/env deps

* Fri Oct 02 2015 Rex Dieter <rdieter@fedoraproject.org> 7:4.14.10-5
- update URL

* Fri Oct 02 2015 Rex Dieter <rdieter@fedoraproject.org> 7:4.14.10-4
- drop use of kde4-only /usr/share/autostart/

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.14.10-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 7:4.14.10-2
- rebuild for Boost 1.58

* Mon Jun 29 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.10-1
- 4.14.10

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.14.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 10 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.9-1
- 4.14.9

* Thu May 21 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.8-2
- kleopatra: Requires: dirmngr

* Fri May 15 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.8-1
- 4.14.8

* Sun Apr 12 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.7-2
- bump build deps: grantlee >= 0.5.0, kdepimlibs >= 4.14.7

* Fri Apr 10 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.7-1
- 4.14.7

* Sun Mar 01 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.6-1
- 4.14.6

* Tue Feb 24 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.5-1
- 4.14.5

* Sat Feb 21 2015 Rex Dieter <rdieter@fedoraproject.org> 7:4.14.4-7
- kmail: drop Requires: spambayes (currently orphaned pkg)

* Wed Feb 18 2015 Daniel Vrátil <dvratil@redhat.com> - 7:4.14-4-6
- drop "Requires: foo" from foo-libs subpackages (#1155812)

* Sat Jan 31 2015 Rex Dieter <rdieter@fedoraproject.org> 7:4.14.4-5
- -kmail: Requires: kate4-part

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 7:4.14.4-4
- Rebuild for boost 1.57.0

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 7:4.14.4-3
- Rebuild for boost 1.57.0

* Thu Jan 22 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.4-2
- include .desktop Comment= fields for kmail, knode, kontact to make appstream happier

* Fri Jan 16 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.4-1
- 4.14.4

* Sun Nov 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.3-1
- 4.14.3

* Sun Oct 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.2-1
- 4.14.2

* Sat Sep 27 2014 Rex Dieter <rdieter@fedoraproject.org> 7:4.14.1-2
- kleopatra: Requires: gnupg2-smime

* Tue Sep 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.1-1
- 4.14.1

* Mon Aug 18 2014 Daniel Vrátil <dvratil@redhat.com> - 7:4.14.0-3
- Make sure baloo-akonadi is installed

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.0-1
- 4.14.0

* Tue Aug 05 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.13.97-1
- 4.13.97

* Wed Jul 23 2014 Rex Dieter <rdieter@fedoraproject.org> 7:4.13.3-11
- -common: fix -libs dep (typo wrt epoch)

* Tue Jul 22 2014 Daniel Vrátil <dvratil@redhat.com> - 7:4.13.3-10
- split monolithic kdepim package into per-app subpackages
- drop some old build deps (nepomuk-related mostly)

* Tue Jul 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.13.3-1
- 4.13.3

* Thu Jun 19 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.13.2-2
- BR: kdelibs4-webkit-devel

* Mon Jun 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.13.2-1
- 4.13.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.13.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 7:4.13.1-2
- Rebuild for boost 1.55.0

* Sun May 11 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.13.1-1
- 4.13.1

* Sat Apr 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.13.0-1
- 4.13.0

* Fri Apr 04 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.97-1
- 4.12.97

* Sun Mar 23 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.95-1
- 4.12.95

* Thu Mar 20 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 7:4.12.90-2
- apply upstream fix for sieveeditor.desktop, make validation mandatory again

* Wed Mar 19 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.90-1
- 4.12.90

* Sun Mar 02 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.3-1
- 4.12.3

* Fri Jan 31 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.2-1
- 4.12.2

* Fri Jan 10 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.1-1
- 4.12.1

* Thu Dec 19 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.0-1
- 4.12.0

* Sun Dec 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.11.97-1
- 4.11.97

* Thu Nov 21 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.11.95-1
- 4.11.95

* Sat Nov 16 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.11.90-1
- 4.11.90

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.11.1-1
- 4.11.1

* Thu Aug 08 2013 Than Ngo <than@redhat.com> - 4.11.0-1
- 4.11.0

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 7:4.10.97-2
- Rebuild for boost 1.54.0

* Thu Jul 25 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.97-1
- 4.10.97

* Tue Jul 23 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.95-1
- 4.10.95

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 7:4.10.90-2
- Perl 5.18 rebuild

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.90-1
- 4.10.90

* Sat Jun 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.4-1
- 4.10.4

* Fri May 10 2013 Rex Dieter <rdieter@fedoraproject.org> -7:4.10.3-2
- pull in some upstream fixes

* Mon May 06 2013 Than Ngo <than@redhat.com> - 7:4.10.3-1
- 4.10.3

* Tue Apr 16 2013 Daniel Vrátil <dvratil@redhat.com> 7:4.10.2-3
- multipart messages displayed twice in KMail (kde#318182)

* Mon Apr 08 2013 Rex Dieter <rdieter@fedoraproject.org> 7:4.10.2-2
- pull in some upstream fixes, in particular...
- address completion from akonadi regresssion (kde#259949)

* Mon Apr 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.2-1
- 4.10.2

* Sat Mar 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.1-1
- 4.10.1

* Fri Feb 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.0-1
- 4.10.0

* Tue Jan 22 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.9.98-1
- 4.9.98

* Fri Jan 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.9.97-1
- 4.9.97

* Sun Dec 23 2012 Rex Dieter <rdieter@fedoraproject.org> 4.9.95-2
- 4.9.95

* Tue Dec 04 2012 Rex Dieter <rdieter@fedoraproject.org> 4.9.90-1
- 4.9.90

* Mon Dec 03 2012 Than Ngo <than@redhat.com> - 4.9.4-1
- 4.9.4

* Mon Nov 12 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.9.3-2
- move importwizard.desktop out of Lost+Found

* Sat Nov 03 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.9.3-1
- 4.9.3

* Thu Nov 1 2012 Lukáš Tinkl<ltinkl@redhat.com> 7:4.9.2-2
- build against prison only under Fedora

* Sat Sep 29 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.9.2-1
- 4.9.2

* Mon Sep 03 2012 Than Ngo <than@redhat.com> - 7:4.9.1-1
- 4.9.1

* Sat Aug 25 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.9.0-4
- BR: prison-devel

* Sat Aug 25 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.9.0-3
- filtering removes email's content (kde#295484)

* Fri Aug 17 2012 Lukas Tinkl <ltinkl@redhat.com> - 7:4.9.0-2
- Resolves: #813257 - Ktimetracker shows only an empty window

* Thu Jul 26 2012 Lukas Tinkl <ltinkl@redhat.com> - 7:4.9.0-1
- 4.9.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.8.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.8.97-1
- 4.8.97

* Fri Jul 06 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.8.95-3
- .spec cleanup

* Thu Jul 05 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.8.95-2
- upstream filter-rework patch

* Wed Jun 27 2012 Jaroslav Reznik <jreznik@redhat.com> - 7:4.8.95-1
- 4.8.95

* Sat Jun 09 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.8.90-1
- 4.8.90

* Sun Jun 03 2012 Jaroslav Reznik <jreznik@redhat.com> - 7:4.8.80-1
- 4.8.80
- add locolor icons again
- fix appsdir filelist

* Mon Apr 30 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.8.3-2
- s/kdebase-runtime/kde-runtime/

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 7:4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.8.2-1
- 4.8.2

* Thu Mar 29 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.1-4
- Kalarm not allowing editing or deleting of alarms (#808066)

* Mon Mar 12 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-3
- fix version
- remove g++47 patch as it's already applied upstream

* Tue Mar 06 2012 Than Ngo <than@redhat.com> - 4.8.1-2
- respin

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 7:4.8.1-1
- 4.8.1
- add missing ontologies

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.8.0-2
- Rebuilt for c++ ABI breakage

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Radek Novacek <rnovacek@redhat.com> - 7:4.7.97-1
- 4.7.97
- fix build with g++ 4.7

* Wed Dec 21 2011 Radek Novacek <rnovacek@redhat.com> - 7:4.7.95-1
- 4.7.95

* Sun Dec 04 2011 Rex Dieter <rdieter@fedoraproject.org> - 7:4.7.90-1
- 4.7.90

* Fri Nov 25 2011 Radek Novacek <rnovacek@redhat.com> 7:4.7.80-1
- 4.7.80 (beta 1)
- add BR: kdebase-devel
- drop "nepomuk disabled spam" patch, patched file not exists

* Sat Oct 29 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.3-1
- 4.7.3

* Mon Oct 24 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.2-7
- pkgconfig-style deps

* Sun Oct 16 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 7:4.7.2-6
- rebuild for patched Qt in Rawhide (#746252)

* Fri Oct 14 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 7:4.7.2-5
- fix KMail migration (kde#283563)

* Thu Oct 13 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.2-4
- disable akonadi nepomuk/strigi notification spam

* Sat Oct 08 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.2-2
- Requires: kate-part

* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.2-1
- 4.7.2

* Fri Sep 02 2011 Than Ngo <than@redhat.com> - 7:4.7.1-1
- 4.7.1

* Tue Jul 26 2011 Jaroslav Reznik <jreznik@redhat.com> 7:4.7.0-1
- 4.7.0

* Mon Jul 11 2011 Jaroslav Reznik <jreznik@redhat.com> 7:4.6.95-1
- 4.6.95

* Thu Jun 30 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.6.90-1
- 4.6.90

* Wed Jun 29 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 7:4.6.0-2
- Disable kdepim-mobile until it actually works (#717694)

* Fri Jun 10 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.6.0-1
- 4.6.0

* Fri May 13 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.5.96-1
- 4.5.96 (4.6rc1)

* Tue May 10 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.5.95-2
- Requires: gnupg (#630249)

* Thu Apr 14 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.5.95-1
- 4.5.95 (4.6beta5)

* Thu Feb 24 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.5.94.1-4
- Provides: kde-l10n-kdepim

* Thu Feb 10 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.5.94.1-3
- Epoch++
- Requires: kdepim4-runtime

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.5.94.1-1
- 4.5.94.1 (4.6beta4)

* Thu Dec 23 2010 Rex Dieter <rdieter@fedoraproject.org> 4.5.93-1
- 4.5.93 (4.6beta3)

* Wed Dec 08 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.5.85-2
- restore and rebase install-headers patch for kopete-cryptography (#660951)

* Sat Dec 04 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.5.85-1
- 4.5.85 (4.6beta2)

* Wed Nov 24 2010 Rex Dieter <rdieter@fedoraproject.org> 4.5.80-1
- 4.5.80 (4.6beta1)

* Tue Nov 16 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.4.93-5
- re-activated kdepim-devel for basket_kontact plugin

* Tue Oct 19 2010 Rex Dieter <rdieter@fedoraproject.org> 4.4.93-4
- own %%_libdir/akonadi/contact (#644540)

* Wed Sep 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.4.93-3
- fixed botched obsoletes

* Wed Sep 01 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.93-2
- fix Obsoletes: kdepim-devel
- BR: kdepimlibs-devel >= 4.5.1

* Tue Aug 31 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.4.93-1
- 4.4.93 (4.5 beta3)

* Fri Aug 13 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.92-1
- BR: libassuan2-devel

* Wed Aug 11 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.92-1
- 4.4.92 (4.5 beta2)

* Tue Jul 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5-0.2.beta1
- Requires: kdebase-runtime

* Fri Jul 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5-0.1.beta1
- 4.5-beta1

* Tue Jun 29 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.5-1
- 4.4.5

* Sun May 30 2010 Than Ngo <than@redhat.com> - 6:4.4.4-1
- 4.4.4

* Tue May 04 2010 Lukas Tinkl <ltinkl@redhat.com> - 6:4.4.3-1.1
- rebuild against correct tag

* Fri Apr 30 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.3-1
- 4.4.3

* Mon Mar 29 2010 Lukas Tinkl <ltinkl@redhat.com> - 6:4.4.2-1
- 4.4.2

* Tue Mar 02 2010 Lukas Tinkl <ltinkl@redhat.com> - 6:4.4.1-2
- tarball respin
- don't install an .so file into datadir

* Sat Feb 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.1-1
- 4.4.1

* Fri Feb 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.0-5
- un-arch kdepim-runtime dep (it's not multilib'd)

* Sat Feb 13 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 6:4.4.0-4
- ship -devel package again, kopete-cryptography needs it to build (#564406)

* Tue Feb 09 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.0-3
- drop BR: gnokii-devel (not used)
- drop var-tracking patch (gcc fixed)

* Tue Feb 09 2010 Lukas Tinkl <ltinkl@redhat.com> - 6:4.4.0-2
- fix Kontact startup

* Fri Feb 05 2010 Than Ngo <than@redhat.com> - 6:4.4.0-1
- 4.4.0
